Page MenuHomePhabricator

Corrupted repository : pywikibot/core
Closed, ResolvedPublic

Description

The pywikibot/core repository is corrupted since the merge request of the 04/27 of https://gerrit.wikimedia.org/r/#/c/285092/ , with Gerrit -1's all submissions with

This change or one of its cross-repo dependencies was unable to be automatically merged with the current state of its repository. Please rebase the change and upload a new patchset.

Event Timeline

Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptApr 30 2016, 3:35 PM
Dereckson added subscribers: hashar, Dereckson.

Problematic changes:

Jenkins-bot message:

This change or one of its cross-repo dependencies was unable to be automatically merged with the current state of its repository. Please rebase the change and upload a new patchset.

jayvdb added a subscriber: jayvdb.Apr 30 2016, 4:11 PM
hashar removed a project: Zuul.Apr 30 2016, 5:59 PM

From Zuul:

2016-04-30 15:00:11,440 DEBUG zuul.Repo: Checking out 0d56409652b5add94aecf40991bd0400d15c7c30
2016-04-30 15:00:12,175 DEBUG zuul.Merger: Unable to merge {u'oldrev': None, u'newrev': None, u'refspec': u'refs/changes/74/286274/1', u'merge_mode': 2, u'number': u'286274', u'project': u'pywikibot/core', u'url': u'ssh://jenkins-bot@ytterbium.wikimedia.org:29418/pywikibot/core', u'branch': u'master', u'patchset': u'1', u'ref': u'Z74f39c6333e44b81bde4a7672873606c'}
Traceback (most recent call last):
  File "/usr/share/python/zuul/local/lib/python2.7/site-packages/zuul/merger/merger.py", line 261, in _mergeChange
    commit = repo.merge(item['refspec'], 'resolve')
  File "/usr/share/python/zuul/local/lib/python2.7/site-packages/zuul/merger/merger.py", line 159, in merge
    self.fetch(ref)
  File "/usr/share/python/zuul/local/lib/python2.7/site-packages/zuul/merger/merger.py", line 172, in fetch
    origin.fetch(ref)
  File "/usr/share/python/zuul/local/lib/python2.7/site-packages/git/remote.py", line 651, in fetch
    res = self._get_fetch_info_from_stderr(proc, progress or RemoteProgress())
  File "/usr/share/python/zuul/local/lib/python2.7/site-packages/git/remote.py", line 559, in _get_fetch_info_from_stderr
    raise GitCommandError(("Error when fetching: %s" % line,), 2)
GitCommandError: 'Error when fetching: fatal: internal server error' returned with exit code 2

Looks like it can not fetch from Gerrit for some reason.

Xqt added a subscriber: Xqt.May 1 2016, 1:09 PM
Xqt triaged this task as Unbreak Now! priority.May 1 2016, 1:18 PM

blocks any patch

Restricted Application added subscribers: Luke081515, TerraCodes, Urbanecm. · View Herald TranscriptMay 1 2016, 1:18 PM
Dalba added a subscriber: Dalba.May 1 2016, 2:40 PM
jayvdb updated the task description. (Show Details)May 1 2016, 2:53 PM

Mentioned in SAL [2016-05-02T09:44:00Z] <hashar> On zuul-merger instances (gallium / scandium), cleared out pywikibot/core working copy ( rm -fR /srv/ssd/zuul/git/pywikibot/core/ ) T134062

hashar closed this task as Resolved.May 2 2016, 9:47 AM
hashar claimed this task.

I have cleared the git repositories on the hosts that run zuul-merger (the process that merge the proposed patch against the tip of the branch). Seems they got corrupted somehow.

I did some recheck and that works fine now. I have no idea what got corrupted though.